@echo off
rem *******************************************************************
rem * INSTALL.BAT                                                     *
rem * Install - Prozedur fr PointKit (DOS)                           *
rem * Aufruf: Zielverzeichnis FidoNetAdresse Name                     *
rem *******************************************************************
if x%7x == xx goto wrongparam

echo Laufwerk       : %1
echo Verzeichnis    : %2
echo FidoNet Adresse: %3
echo Sysop Name     : %4 %5
echo Port           : COM%6
echo Boss Password  : %7
%1
cd \
md %2
cd %2
echo Copying Pointkit to %1%2 .....
copy a:point.zip 
copy a:pkunzip.exe
echo Decompressing PointKit .....
pkunzip -d point.zip 
del point.zip
echo Creating Subdir's ......
md log 
md inbound 
md outbound 
md download 
md flag 
md temp 
copy a:ex.com
echo Patching BINKLEY.CFG .....
ex <binkley.tpl >binkley.tp1 $PORT$ PORT#20%6
ex <binkley.tp1 >binkley.tp2 $PATH$ %1%2
ex <binkley.tp2 >binkley.tp3 $SYSOP$ %4#20%5
ex <binkley.tp3 >binkley.tp4 $SYSTEM$ %4's#20Point
ex <binkley.tp4 >binkley.cfg $ADDR$ %3
del binkley.tp?

echo Patching SQUISH.CFG .....
ex <squish.tpl >squish.tp1 $ADDR$ %3
ex <squish.tp1 >squish.tp2 $SYSTEM$ %4's#20Point
ex <squish.tp2 >squish.cfg $PATH$ %1%2
del squish.tp?

echo Patching FASTLST.CFG .....
ex <nodelist\fastlst.tpl >nodelist\fastlst.tp1 $PATH$ %1%2
ex <nodelist\fastlst.tp1 >nodelist\fastlst.tp2 $SYSTEM$ %4's#20Point
ex <nodelist\fastlst.tp2 >nodelist\fastlst.tp3 $ADDR$ %3
ex <nodelist\fastlst.tp3 >nodelist\fastlst.cfg $PASSWD$ %7
del nodelist\fastlst.tp?

echo Patching GOLDED.CFG .....
ex <golded.cpl >golded.cp1 $PATH$ %1%2
ex <golded.cp1 >golded.cp2 $SYSOP$ %4#20%5
ex <golded.cp2 >golded.cfg $ADDR$ %3
del golded.cp?

echo Patching BONK.CFG .....
ex <bonk.tpl >bonk.tp1 $PATH$ %1%2
ex <bonk.tp1 >bonk.tp2 $SYSTEM$ %4's#20Point
ex <bonk.tp2 >bonk.tp3 $ADDR$ %3
ex <bonk.tp3 >bonk.cfg $SYSOP$ %4#20%5
del bonk.tp?

echo Patching RUNBINK.BAT .....
ex <runbink.tpl >runbink.tp1 $DRIVE$ %1
ex <runbink.tp1 >runbink.bat $PFAD$ %2
del runbink.tp?

echo Patching IMPORT.BAT .....
ex <import.tpl >import.tp1 $PATH$ %1%2
ex <import.tp1 >import.bat $PFAD$ %2
del import.tp?

echo Compiling Nodelist .....
cd nodelist
fastlst -nregion31
cd ..
cls
echo ........................... INSTALLATION BEENDET ! .......................
echo Das PointKit wurde nun auf Ihrer Festplatte installiert. Der Aufruf des 
echo Points echo erfolgt mit dem Befehl RUNBINK.BAT. Falls Ihr Modem default-
echo maessig richtig konfiguriert ist, koennen Sie mit der Tastenkombination 
echo ALT-Y Ihren BOSS echo anrufen. Falls nicht, muss Ihr Modem noch konfigu-
echo riert werden. Die Initialisierungsstrings finden Sie in der Datei 
echo BINKLEY.CFG. Dokumentationen zu den verwendeten Programmen finden Sie im
echo Unterverzeichnis DOC
echo ........................... INSTALLATION BEENDET ! .......................
goto exit

:wrongparam
echo FEHLER - Parameter nicht/nicht vollstndig angegeben !
echo Aufruf  : INSTALL LAUFWERK PFAD FIDONETADDR VORNAME FAMILIENNAME PORT(OHNE COM) PASSWORD
echo Beispiel: INSTALL c: \Bink 2:310/1.99 Testo Rello 1 HiJack
echo Exiting ...

:exit
